import { Description } from "./Description";
import { LinearGraphRangeDescription } from "./LinearGraphRangeDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class BulletGraphDescription extends Description {
    static $t: Type;
    private cf;
    get fontFamily(): string;
    set fontFamily(a: string);
    private v;
    get fontSize(): number;
    set fontSize(a: number);
    private ch;
    get fontWeight(): string;
    set fontWeight(a: string);
    private cg;
    get fontStyle(): string;
    set fontStyle(a: string);
    private cv;
    get width(): string;
    set width(a: string);
    private cj;
    get height(): string;
    set height(a: string);
    private ca;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private ax;
    get transitionProgress(): number;
    set transitionProgress(a: number);
    private cl;
    get orientation(): string;
    set orientation(a: string);
    private cm;
    get scaleBackgroundBrush(): string;
    set scaleBackgroundBrush(a: string);
    private cn;
    get scaleBackgroundOutline(): string;
    set scaleBackgroundOutline(a: string);
    private ak;
    get scaleBackgroundThickness(): number;
    set scaleBackgroundThickness(a: number);
    private h;
    get ranges(): LinearGraphRangeDescription[];
    set ranges(a: LinearGraphRangeDescription[]);
    private f;
    get rangeBrushes(): string[];
    set rangeBrushes(a: string[]);
    private g;
    get rangeOutlines(): string[];
    set rangeOutlines(a: string[]);
    private ac;
    get minimumValue(): number;
    set minimumValue(a: number);
    private q;
    get actualMinimumValue(): number;
    set actualMinimumValue(a: number);
    private ab;
    get maximumValue(): number;
    set maximumValue(a: number);
    private p;
    get actualMaximumValue(): number;
    set actualMaximumValue(a: number);
    private an;
    get targetValue(): number;
    set targetValue(a: number);
    private cp;
    get targetValueName(): string;
    set targetValueName(a: string);
    private ay;
    get value(): number;
    set value(a: number);
    private ct;
    get valueName(): string;
    set valueName(a: string);
    private ai;
    get rangeInnerExtent(): number;
    set rangeInnerExtent(a: number);
    private aj;
    get rangeOuterExtent(): number;
    set rangeOuterExtent(a: number);
    private az;
    get valueInnerExtent(): number;
    set valueInnerExtent(a: number);
    private a0;
    get valueOuterExtent(): number;
    set valueOuterExtent(a: number);
    private w;
    get interval(): number;
    set interval(a: number);
    private at;
    get ticksPostInitial(): number;
    set ticksPostInitial(a: number);
    private au;
    get ticksPreTerminal(): number;
    set ticksPreTerminal(a: number);
    private y;
    get labelInterval(): number;
    set labelInterval(a: number);
    private x;
    get labelExtent(): number;
    set labelExtent(a: number);
    private z;
    get labelsPostInitial(): number;
    set labelsPostInitial(a: number);
    private aa;
    get labelsPreTerminal(): number;
    set labelsPreTerminal(a: number);
    private ad;
    get minorTickCount(): number;
    set minorTickCount(a: number);
    private av;
    get tickStartExtent(): number;
    set tickStartExtent(a: number);
    private as;
    get tickEndExtent(): number;
    set tickEndExtent(a: number);
    private aw;
    get tickStrokeThickness(): number;
    set tickStrokeThickness(a: number);
    private cr;
    get tickBrush(): string;
    set tickBrush(a: string);
    private ce;
    get fontBrush(): string;
    set fontBrush(a: string);
    private cs;
    get valueBrush(): string;
    set valueBrush(a: string);
    private cu;
    get valueOutline(): string;
    set valueOutline(a: string);
    private a1;
    get valueStrokeThickness(): number;
    set valueStrokeThickness(a: number);
    private af;
    get minorTickStartExtent(): number;
    set minorTickStartExtent(a: number);
    private ae;
    get minorTickEndExtent(): number;
    set minorTickEndExtent(a: number);
    private ag;
    get minorTickStrokeThickness(): number;
    set minorTickStrokeThickness(a: number);
    private ck;
    get minorTickBrush(): string;
    set minorTickBrush(a: string);
    private l;
    get isScaleInverted(): boolean;
    set isScaleInverted(a: boolean);
    private cb;
    get backingBrush(): string;
    set backingBrush(a: string);
    private cc;
    get backingOutline(): string;
    set backingOutline(a: string);
    private u;
    get backingStrokeThickness(): number;
    set backingStrokeThickness(a: number);
    private s;
    get backingInnerExtent(): number;
    set backingInnerExtent(a: number);
    private t;
    get backingOuterExtent(): number;
    set backingOuterExtent(a: number);
    private am;
    get scaleStartExtent(): number;
    set scaleStartExtent(a: number);
    private al;
    get scaleEndExtent(): number;
    set scaleEndExtent(a: number);
    private co;
    get targetValueBrush(): string;
    set targetValueBrush(a: string);
    private ao;
    get targetValueBreadth(): number;
    set targetValueBreadth(a: number);
    private ap;
    get targetValueInnerExtent(): number;
    set targetValueInnerExtent(a: number);
    private aq;
    get targetValueOuterExtent(): number;
    set targetValueOuterExtent(a: number);
    private cq;
    get targetValueOutline(): string;
    set targetValueOutline(a: string);
    private ar;
    get targetValueStrokeThickness(): number;
    set targetValueStrokeThickness(a: number);
    private b6;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private b5;
    get showToolTipTimeout(): number;
    set showToolTipTimeout(a: number);
    private m;
    get showToolTip(): boolean;
    set showToolTip(a: boolean);
    private cd;
    get font(): string;
    set font(a: string);
    private ah;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private r;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private ci;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private b9;
    get alignLabelRef(): string;
    set alignLabelRef(a: string);
}
